public inbox for gwml@vger.gnuweeb.org
 help / color / mirror / Atom feed
From: Ammar Faizi <ammarfaizi2@gnuweeb.org>
To: GNU/Weeb Mailing List <gwml@vger.gnuweeb.org>
Cc: Muhamad Hazmi Alfarizqi <hzmi@gnuweeb.org>,
	Muhamad Hazmi Alfarizqi <contact@hzmi.xyz>,
	Alviro Iskandar Setiawan <alviro.iskandar@gnuweeb.org>,
	Arthur Lapz <rlapz@gnuweeb.org>,
	Ammar Faizi <ammarfaizi2@gnuweeb.org>
Subject: [PATCH a001 v1 5/7] Add an installer script
Date: Wed, 29 Mar 2023 14:59:30 +0700	[thread overview]
Message-ID: <20230329075932.492885-6-ammarfaizi2@gnuweeb.org> (raw)
In-Reply-To: <20230329075932.492885-1-ammarfaizi2@gnuweeb.org>

To simplify the docker image installation.

Signed-off-by: Ammar Faizi <ammarfaizi2@gnuweeb.org>
---
 install.sh | 4 ++++
 1 file changed, 4 insertions(+)
 create mode 100755 install.sh

diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000000000000..652861d263a698dc
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+set -e;
+DOCKER_BUILDKIT=1 docker build --secret id=config -t server-a001 .;
-- 
Ammar Faizi


  parent reply	other threads:[~2023-03-29  8:00 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-03-29  7:59 [PATCH a001 v1 0/7] server-a001 updates Ammar Faizi
2023-03-29  7:59 ` [PATCH a001 v1 1/7] Use nginx from Ubuntu for simplicity Ammar Faizi
2023-03-29  7:59 ` [PATCH a001 v1 2/7] start.sh: Add vmail storage directory Ammar Faizi
2023-03-29  7:59 ` [PATCH a001 v1 3/7] Dockerfile: Upgrade the Ubuntu version to 22.04 (jammy) Ammar Faizi
2023-03-29  7:59 ` [PATCH a001 v1 4/7] Dockerfile: Set the default main user to "ubuntu" Ammar Faizi
2023-03-29  7:59 ` Ammar Faizi [this message]
2023-03-29  7:59 ` [PATCH a001 v1 6/7] Create a simple init program Ammar Faizi
2023-03-29  7:59 ` [PATCH a001 v1 7/7] docker-entrypoint: Properly set directory ownership and mode Ammar Faizi
2023-03-29 19:36 ` [PATCH a001 v1 0/7] server-a001 updates Alviro Iskandar Setiawan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20230329075932.492885-6-ammarfaizi2@gnuweeb.org \
    --to=ammarfaizi2@gnuweeb.org \
    --cc=alviro.iskandar@gnuweeb.org \
    --cc=contact@hzmi.xyz \
    --cc=gwml@vger.gnuweeb.org \
    --cc=hzmi@gnuweeb.org \
    --cc=rlapz@gnuweeb.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox